Subject: Re: [tcpm] upcoming consensus call on IW10

From: Jerry Chu <[email-masked]>
Date: Wed, 20 Jul 2011 13:15:12 -0700

Just want to correct the perception by some folks that IW10 has only
been studied/tested on Google's properties. The large experiment we have
conducted over the past yeas is not the only one that convinced us IW10
should become a standard. There have been numerous other studies of
the effect of IW10 on 1) slow or highly multiplexed links, 2) mobile/wireless
network, 3) the fairness question. All results show the negative impact of
IW10 to be very limited, e.g., some slow links under very heavy load (which
perform poorly even under IW3), or some wireless link types under certain
traffic pattern.

The link below contains all the test results:
http://code.google.com/speed/protocols/tcpm-IW10.html

Note the can always find some cases and show IW10 hurts. The key
question is, how bad it is and how prevailing the case is. I'm sure there
were negative impacts when IW was increased from 1 to 3 a decade ago
but that didn't stop IW3 from becoming a standard.

I believe we have done sufficient due-diligence, equal or more than what
was done when IW3 was standardized. So it's about time for us to make
IW10 a standard and move on (e.g., to work on something else more
interesting like auto scale IW).

Thanks,

Jerry

On Mon, Jun 6, 2011 at 4:53 AM, Jerry Chu <[email-masked]> wrote:
>
> Folks,
>
> It's been a while since our last IW related discussion/debate, and
> it's getting close for the WG to decide on the status of our IW10
> proposal at the upcoming meeting in Quebec City. To get ready for
> a consensus call, we have produced a major revision of the draft to
> include all the up-to-date information for your peruse below.
>
> We believe our IW10 proposal is ready for standardization now,
> considering the following facts:
>
> 1. We have been experimenting with IW10 in a very large scale for
> more than 9 months by now, and have observed its positive performance
> impact consistently with no issue reported so far.
>
> 2. We have conducted a number of testbed studies to address concerns,
> mainly on IW10's impact on slow links or other flows with smaller
> IW. All the results show little or no negative impact from IW10, with
> the only exception being some extreme overload cases where both IW10
> and IW3 perform terribly. The full testbed results can be found at
> http://research.csc.ncsu.edu/netsrv/?q=content/iw10
>
> 3. An informal poll by Mark Allman early this year seemed to show
> the majority of people responding to the poll favored a simple,
> static increase of IW right away.
>
> 4. The latest Linux kernel has adopted 10 as the default initial
> congestion window size.
>
> Once again, we believe a modest, static increase of IW to 10 is the
> best, simplest, timely solution to a serious web performance problem
> with little downside. We appreciate the value of two other related
> proposals by M. Allman and J. Touch respectively, but believe, due
> to their complexity (especially the one by Joe), they are best suited
> for experiemental (e.g., likely need to refine the suggested formula),
> and will best serve to carve out a growh path for IW beyond 10.
>
> Comments and suggestions on how to move things forward are welcomed.
> Also a complete set of IW10 related papers and past presentations
> can be found at http://code.google.com/speed/protocols/tcpm-IW10.html
>
> Best,
>
> Jerry on behalf of all co-authors
>
> On Thu, Apr 14, 2011 at 6:00 PM, <[email-masked]> wrote:
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts directories.
> > This draft is a work item of the TCP Maintenance and Minor Extensions Working Group of the IETF.
> >
> >
> >        Title           : Increasing TCP's Initial Window
> >        Author(s)       : J. Chu, et al.
> >        Filename        : draft-ietf-tcpm-initcwnd-01.txt
> >        Pages           : 20
> >        Date            : 2011-04-14
> >
> > This document proposes an increase in the permitted TCP initial
> > window (IW) from between 2 and 4 segments, as specified in RFC 3390,
> > to 10 segments. It discusses the motivation behind the increase, the
> > advantages and disadvantages of the higher initial window, and
> > presents results from several large scale experiments showing that
> > the higher initial window improves the overall performance of many
> > web services without risking congestion collapse. The document closes
> > with a discussion of a list of concerns, and some results from recent
> > studies to address the concerns.
> >
> > A URL for this Internet-Draft is:
> > http://www.ietf.org/internet-drafts/draft-ietf-tcpm-initcwnd-01.txt
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> >
> > Below is the data which will enable a MIME compliant mail reader
> > implementation to automatically retrieve the ASCII version of the
> > Internet-Draft.
> >
> >
> > _______________________________________________
> > tcpm mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/tcpm
> >

---

From: Michael Welzl <[email-masked]>
Date: Wed, 20 Jul 2011 22:56:08 +0200

I agree.

---

From: "Scheffenegger, Richard" <[email-masked]>
Date: Thu, 21 Jul 2011 09:21:53 +0100

I also support StdTrack for IW10.

Richard Scheffenegger

> -----Original Message-----
> From: Michael Welzl [mailto:[email-masked]]
> Sent: Mittwoch, 20. Juli 2011 22:56
> To: tcpm	
> Subject: Re: [tcpm] upcoming consensus call on IW10
> 
> I agree.
> 
> 
> > the effect of IW10 on 1) slow or highly multiplexed links, 2)
mobile/
> > wireless